<title>海洋能及負碳高速運算資料管理平臺</title>
<meta content="" name="description">
<meta content="" name="keywords">

<!-- Favicons -->
<link href="../assets/img/favicon.png" rel="icon">
<link href="../assets/img/apple-touch-icon.png" rel="apple-touch-icon">

<!-- Google Fonts -->
<link href="../fonts/fonts.css" rel="stylesheet">
<!-- Vendor CSS Files -->
<link href="../assets/vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">
<link href="../assets/vendor/bootstrap-icons/bootstrap-icons.css" rel="stylesheet">

<!-- Template Main CSS File -->
<link href="../assets/css/jquery-ui.css" rel="stylesheet">
<link href="../assets/css/style.css" rel="stylesheet">
<script src="../assets/js/jquery-3.7.1.js"></script>
<script src="../assets/js/jquery-ui.js"></script>
<!-- Vendor JS Files -->
<script src="../assets/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>


<script src="../assets/js/jquery.blockUI.js"></script>

<script>
        //註冊ajax觸發就show blockUI
        $(document).ajaxStart(function() {
            $.blockUI({
                // message: '<h3> 請稍候...</h3>',
                message: '<img src="../assets/img/wait.gif" alt="Please wait..." style="height:120px;" />',
                timeout: 60000, //超時時間：60秒
            });
        }).ajaxStop($.unblockUI);

        /* setInterval(function() {
            $.get('/Home/KeepSessionAlive');
        }, 600000); // 每 300000 毫秒（即 5 分鐘）發送一次請求
         */
        
        //顯示sidebar element
    function showSidebar(mtype, typeId) {
        $("#sidebar-nav").removeClass("show").find("a").removeClass("active");
        if (mtype != "") {
            $("#" + mtype + "-nav").addClass("show");
        } else {
            $("#" + typeId).removeClass("collapsed");
        }
        $("#" + typeId).addClass("active");
       // console.log("showSidebar",mtype, typeId)
    }
</script>